# Uses of Interface
org.opensaml.saml.saml2.core.EncryptedID

Packages that use EncryptedID
Package
Description
org.opensaml.saml.ext.saml2delrestrict
Interfaces for SAML 2 Condition for Delegation Restriction.
org.opensaml.saml.ext.saml2delrestrict.impl
Implementation for SAML v2.0 Condition for Delegation Restriction Version 1.0.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of EncryptedID in org.opensaml.saml.ext.saml2delrestrict

Methods in org.opensaml.saml.ext.saml2delrestrict that return EncryptedID
Modifier and Type
Method
Description
`EncryptedID`
Delegate.`getEncryptedID()`
Gets the EncryptedID child element of the delegate.
Methods in org.opensaml.saml.ext.saml2delrestrict with parameters of type EncryptedID
Modifier and Type
Method
Description
`void`
Delegate.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the EncryptedID child element of the delegate.

## Uses of EncryptedID in org.opensaml.saml.ext.saml2delrestrict.impl

Fields in org.opensaml.saml.ext.saml2delrestrict.impl declared as EncryptedID
Modifier and Type
Field
Description
`private EncryptedID`
DelegateImpl.`encryptedID`
EncryptedID child element.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl that return EncryptedID
Modifier and Type
Method
Description
`EncryptedID`
DelegateImpl.`getEncryptedID()`
Gets the EncryptedID child element of the delegate.
Methods in org.opensaml.saml.ext.saml2delrestrict.impl with parameters of type EncryptedID
Modifier and Type
Method
Description
`void`
DelegateImpl.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the EncryptedID child element of the delegate.

## Uses of EncryptedID in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return EncryptedID
Modifier and Type
Method
Description
`EncryptedID`
LogoutRequest.`getEncryptedID()`
Gets the encrytped name identifier of the principal for this request.
`EncryptedID`
ManageNameIDRequest.`getEncryptedID()`
Get the EncryptedID of the request.
`EncryptedID`
NameIDMappingRequest.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`EncryptedID`
NameIDMappingResponse.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this response.
`EncryptedID`
Subject.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`EncryptedID`
SubjectConfirmation.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
Methods in org.opensaml.saml.saml2.core with parameters of type EncryptedID
Modifier and Type
Method
Description
`void`
LogoutRequest.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
ManageNameIDRequest.`setEncryptedID(EncryptedID newEncryptedID)`
Set the EncryptedID of the request.
`void`
NameIDMappingRequest.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
NameIDMappingResponse.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this response.
`void`
Subject.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
SubjectConfirmation.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.

## Uses of EncryptedID in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement EncryptedID
Modifier and Type
Class
Description
`class`
`EncryptedIDImpl`
A concrete implementation of `EncryptedID`.
Fields in org.opensaml.saml.saml2.core.impl declared as EncryptedID
Modifier and Type
Field
Description
`private EncryptedID`
LogoutRequestImpl.`encryptedID`
EncryptedID child element.
`private EncryptedID`
ManageNameIDRequestImpl.`encryptedID`
EncryptedID child element.
`private EncryptedID`
NameIDMappingRequestImpl.`encryptedID`
EncryptedID child element.
`private EncryptedID`
NameIDMappingResponseImpl.`encryptedID`
EncryptedID child element.
`private EncryptedID`
SubjectConfirmationImpl.`encryptedID`
EncryptedID child element.
`private EncryptedID`
SubjectImpl.`encryptedID`
EncryptedID child element.
Methods in org.opensaml.saml.saml2.core.impl that return EncryptedID
Modifier and Type
Method
Description
`EncryptedID`
EncryptedIDBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EncryptedID`
EncryptedIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`EncryptedID`
LogoutRequestImpl.`getEncryptedID()`
Gets the encrytped name identifier of the principal for this request.
`EncryptedID`
ManageNameIDRequestImpl.`getEncryptedID()`
Get the EncryptedID of the request.
`EncryptedID`
NameIDMappingRequestImpl.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`EncryptedID`
NameIDMappingResponseImpl.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this response.
`EncryptedID`
SubjectConfirmationImpl.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`EncryptedID`
SubjectImpl.`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type EncryptedID
Modifier and Type
Method
Description
`void`
LogoutRequestImpl.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
ManageNameIDRequestImpl.`setEncryptedID(EncryptedID newEncID)`
Set the EncryptedID of the request.
`void`
NameIDMappingRequestImpl.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
NameIDMappingResponseImpl.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this response.
`void`
SubjectConfirmationImpl.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
SubjectImpl.`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.

## Uses of EncryptedID in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return EncryptedID
Modifier and Type
Method
Description
`EncryptedID`
Encrypter.`encrypt(BaseID baseID)`
Encrypt the specified BaseID.
`EncryptedID`
Encrypter.`encrypt(NameID nameID)`
Encrypt the specified NameID.
`EncryptedID`
Encrypter.`encryptAsID(Assertion assertion)`
Encrypt the specified Assertion, treating as an identifier and returning an EncryptedID.
Methods in org.opensaml.saml.saml2.encryption with parameters of type EncryptedID
Modifier and Type
Method
Description
`SAMLObject`
Decrypter.`decrypt(EncryptedID encryptedID)`
Decrypt the specified EncryptedID.

## Uses of EncryptedID in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type EncryptedID
Modifier and Type
Method
Description
`private NameID`
DecryptNameIDs.`processEncryptedID(ProfileRequestContext profileRequestContext, EncryptedID encID)`
Decrypt an `EncryptedID` and return the result.